Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039261
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2018-09-11 09:442018-09-25 20:57
ReporterJONHMView Statuspublic 
Assigned Tojarmendariz 
PriorityhighResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revisionae5338494af6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039261: connection leak when printing image on subreports using the Utility.showImageLogo method

DescriptionIf you create a report that prints an image on the subreport using the method org.openbravo.erpCommon.utility.Utility.showImageLogo the connections are not closed. It is kept with 'idle in transaction' status.
Steps To ReproduceThe problem is the same as in issue 36697. The method could be overloaded using the 'doCommit' boolean, as in the other changeset.
TagsNo tags attached.
Attached Filespatch file icon issue-39261.patch [^] (5,821 bytes) 2018-09-12 19:13 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036697 closedcaristu connection leak when printing a image on a jasper subreport using the Utility.showImage method 
related to design defect 0030182 acknowledgedplatform jasper subreports using DAL do leak connection + transactions 

-  Notes
(0106919)
hgbot (developer)
2018-09-21 09:28

Repository: erp/devel/pi
Changeset: ae5338494af6f4ae10bae4dcbc941ea4f9bceb32
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Sep 12 19:08:49 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ae5338494af6f4ae10bae4dcbc941ea4f9bceb32 [^]

Fixed issue 39261: Connection leak when printing image on subreports.

Adding a boolean flag to getImageLogoObject to add the possibility to commit
and close the connection once a logo image is retrieved.

---
M src/org/openbravo/erpCommon/utility/Utility.java
---
(0106975)
caristu (developer)
2018-09-24 19:18

Not working fine.

See: https://docs.google.com/spreadsheets/d/18l2biKWeG6iGDIPqO6VuYQ_TtP_6YxyQU4KSrPvQlJ8/edit#gid=0 [^]
(0106986)
hgbot (developer)
2018-09-25 10:00

Repository: erp/devel/pi
Changeset: 8a73e458127f7a40f4db9fc8583db06798e0856e
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Sep 25 09:59:27 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8a73e458127f7a40f4db9fc8583db06798e0856e [^]

Related to issue 39261: Connection leak when printing image on subreports.

Moved connection close to getImageLogo to avoid errors trying to fetch image
binary data from a closed connection.

---
M src/org/openbravo/erpCommon/utility/Utility.java
---
(0106992)
hgbot (developer)
2018-09-25 10:27

Repository: erp/devel/pi
Changeset: 8432ac92f307a502b47d4fb32aa670792f6d90f0
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Sep 25 10:27:13 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8432ac92f307a502b47d4fb32aa670792f6d90f0 [^]

related to issue 39261: update javadoc information

---
M src/org/openbravo/erpCommon/utility/Utility.java
---
(0106993)
caristu (developer)
2018-09-25 10:28

Code reviewed + tested OK.
(0107012)
hudsonbot (developer)
2018-09-25 14:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c4e1d4ba022d [^]
Maturity status: Test
(0107018)
hudsonbot (developer)
2018-09-25 14:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c4e1d4ba022d [^]
Maturity status: Test
(0107029)
hudsonbot (developer)
2018-09-25 20:57

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b69e30e117b8 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-09-11 09:44 JONHM New Issue
2018-09-11 09:44 JONHM Assigned To => platform
2018-09-11 09:44 JONHM Modules => Core
2018-09-11 09:44 JONHM Triggers an Emergency Pack => No
2018-09-11 09:44 JONHM Relationship added related to 0036697
2018-09-11 10:09 jfrances Issue Monitored: jfrances
2018-09-12 14:07 jarmendariz Assigned To platform => jarmendariz
2018-09-12 18:35 jarmendariz Status new => scheduled
2018-09-12 19:13 jarmendariz File Added: issue-39261.patch
2018-09-21 09:24 jarmendariz Review Assigned To => caristu
2018-09-21 09:28 hgbot Checkin
2018-09-21 09:28 hgbot Note Added: 0106919
2018-09-21 09:28 hgbot Status scheduled => resolved
2018-09-21 09:28 hgbot Resolution open => fixed
2018-09-21 09:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ae5338494af6f4ae10bae4dcbc941ea4f9bceb32 [^]
2018-09-24 19:06 caristu Description Updated View Revisions
2018-09-24 19:07 caristu Summary connection leak when printing image on subreports => connection leak when printing image on subreports using the Utility.showImageLogo
2018-09-24 19:07 caristu Summary connection leak when printing image on subreports using the Utility.showImageLogo => connection leak when printing image on subreports using the Utility.showImageLogo method
2018-09-24 19:18 caristu Note Added: 0106975
2018-09-24 19:18 caristu Status resolved => new
2018-09-24 19:18 caristu Resolution fixed => open
2018-09-25 10:00 hgbot Checkin
2018-09-25 10:00 hgbot Note Added: 0106986
2018-09-25 10:09 jarmendariz Status new => scheduled
2018-09-25 10:13 caristu Steps to Reproduce Updated View Revisions
2018-09-25 10:13 caristu Steps to Reproduce Updated View Revisions
2018-09-25 10:15 caristu Relationship added related to 0030182
2018-09-25 10:27 hgbot Checkin
2018-09-25 10:27 hgbot Note Added: 0106992
2018-09-25 10:28 caristu Status scheduled => resolved
2018-09-25 10:28 caristu Resolution open => fixed
2018-09-25 10:28 caristu Note Added: 0106993
2018-09-25 10:28 caristu Status resolved => closed
2018-09-25 10:28 caristu Fixed in Version => 3.0PR18Q4
2018-09-25 14:16 hudsonbot Checkin
2018-09-25 14:16 hudsonbot Note Added: 0107012
2018-09-25 14:16 hudsonbot Checkin
2018-09-25 14:16 hudsonbot Note Added: 0107018
2018-09-25 20:57 hudsonbot Checkin
2018-09-25 20:57 hudsonbot Note Added: 0107029


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker